Kea: isc::radius::RadiusSyncAcct Class Reference

| Kea 3.2.0-git

isc::radius::RadiusSyncAcct Class Reference

class for synchronous accounting communication with servers. More...

`#include <radius_request.h>`

Inheritance diagram for isc::radius::RadiusSyncAcct:
[legend]

## Public Member Functions
| RadiusSyncAcct (uint32_t subnet_id, const AttributesPtr &send_attrs, const CallbackAcct &callback)
| Constructor.
virtual | ~RadiusSyncAcct ()=default
| Destructor.
virtual void | start () override
| Start communication.
Public Member Functions inherited from isc::radius::RadiusAcct
| RadiusAcct (uint32_t subnet_id, const AttributesPtr &send_attrs, bool sync, const Exchange::Handler &handler)
| Constructor.
virtual | ~RadiusAcct ()=default
| Destructor.
Public Member Functions inherited from isc::radius::RadiusRequest
| RadiusRequest (const MsgCode code, uint32_t subnet_id, const AttributesPtr &send_attrs, bool sync, const Exchange::Handler &handler)
| Constructor.
virtual | ~RadiusRequest ()=default
| Destructor.
ExchangePtr | getExchange ()
| Get the exchange.
int | getRC () const
| Get the error code.
AttributesPtr | getReqAttrs () const
| Get request attributes.
AttributesPtr | getRespAttrs () const
| Get response attributes.

## Protected Attributes
CallbackAcct | callback_
| Accounting termination callback.
Protected Attributes inherited from isc::radius::RadiusRequest
ExchangePtr | exchange_
| Exchange.
uint32_t | nas_port_
| Client/NAS port (from Subnet Id).

## Detailed Description

class for synchronous accounting communication with servers.

Definition at line 223 of file radius_request.h.

## Constructor & Destructor Documentation

## ◆ RadiusSyncAcct()

isc::radius::RadiusSyncAcct::RadiusSyncAcct | ( | uint32_t | subnet_id,
|  | const AttributesPtr & | send_attrs,
|  | const CallbackAcct & | callback )
| inline

Constructor.

Parameters

  subnet_id | Subnet ID (aka client/NAS port).
  send_attrs | Attributes to send.
  callback | Termination callback.

Definition at line 231 of file radius_request.h.

References isc::radius::RadiusAcct::RadiusAcct(), and callback_.

Here is the call graph for this function:

## ◆ ~RadiusSyncAcct()

virtual isc::radius::RadiusSyncAcct::~RadiusSyncAcct | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ start()

void isc::radius::RadiusSyncAcct::start | ( |  | ) |
| overridevirtual

Start communication.

Reimplemented from isc::radius::RadiusRequest.

Definition at line 174 of file radius_request.cc.

References callback_, isc::radius::RadiusRequest::exchange_, isc::radius::exchangeRCtoText(), isc::radius::RadiusRequest::getRC(), isc::radius::RadiusImpl::instance(), LOG_DEBUG, isc::radius::RadiusRequest::nas_port_, isc::radius::OK_RC, isc::radius::RADIUS_ACCOUNTING_SYNC, isc::radius::RADIUS_ACCOUNTING_SYNC_FAILED, isc::radius::RADIUS_ACCOUNTING_SYNC_SUCCEED, isc::radius::RADIUS_DBG_TRACE, isc::radius::radius_logger, isc::radius::RadiusImpl::setAccountingIdleTimer(), and isc::radius::RadiusRequest::start().

Here is the call graph for this function:

## Member Data Documentation

## ◆ callback_

CallbackAcct isc::radius::RadiusSyncAcct::callback_
| protected

Accounting termination callback.

Definition at line 245 of file radius_request.h.

Referenced by RadiusSyncAcct(), and start().

The documentation for this class was generated from the following files:

- radius_request.h
- radius_request.cc